From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyfakefs/files/, dev-python/pyfakefs/
Date: Sun, 17 Jun 2018 11:25:06 +0000 (UTC) [thread overview]
Message-ID: <1529234691.8eb09c83d6906084538403b8f72392799df784ac.radhermit@gentoo> (raw)
commit: 8eb09c83d6906084538403b8f72392799df784ac
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 17 11:11:25 2018 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Sun Jun 17 11:24:51 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8eb09c83
dev-python/pyfakefs: version bump to 3.4.3
dev-python/pyfakefs/Manifest | 1 +
.../pyfakefs/files/pyfakefs-3.4.3-tests.patch | 40 ++++++++++++++++++++++
dev-python/pyfakefs/pyfakefs-3.4.3.ebuild | 26 ++++++++++++++
3 files changed, 67 insertions(+)
diff --git a/dev-python/pyfakefs/Manifest b/dev-python/pyfakefs/Manifest
index b60e61ccabc..62329512cd3 100644
--- a/dev-python/pyfakefs/Manifest
+++ b/dev-python/pyfakefs/Manifest
@@ -1,2 +1,3 @@
DIST pyfakefs-3.3.tar.gz 141704 BLAKE2B f805146024d9886ce6cb25b23f6f818bb37cac00a51528375b3da3e728515cb5ffd292352888861ff2b434ff71dd730bfbd84874fee0ae1f4d2cfca974f73771 SHA512 0044643964a4f2329d777476940b38d2d63c6de8f854992b4fba7b7e49f1186e7ce9811f83c9870655cbe33b7dda816c1aa1ce685e800e55c06d175c281748b7
DIST pyfakefs-3.4.1.tar.gz 151662 BLAKE2B cbfdd7ab4c2936d484b5ff1e22852438c5c653e8875b7d363324e0a1aed0bfc5c492c2cd5c64a47052fcb4d043f567819f32067527b870ab42da8cfd92d40be3 SHA512 1be0254455f6046f1d28bf4377d17e0fb943b4b0db09e933c114f587f3d917877b23ee1610cf83a6330b406bb9ae66fe79dea31a6bf75c0b9c2b79a88d07e753
+DIST pyfakefs-3.4.3.tar.gz 156896 BLAKE2B 2450cb67dbb25d2029a113dd95c3d51e60ef66c6683a5898ea73800ce1269d628af9f8daa85195d5b473f18b7c3262f2f26fc9c17caf80ce2f5159c247ebea5b SHA512 aafcad5d801f625273239221c56e46229ff8ab622cfb474d92f8555cfff90279ad9a092c20878279454c59033ad23d53cfe877023ac5d20c5a67a610b62ba7f1
diff --git a/dev-python/pyfakefs/files/pyfakefs-3.4.3-tests.patch b/dev-python/pyfakefs/files/pyfakefs-3.4.3-tests.patch
new file mode 100644
index 00000000000..c87005b054c
--- /dev/null
+++ b/dev-python/pyfakefs/files/pyfakefs-3.4.3-tests.patch
@@ -0,0 +1,40 @@
+Drop checks that fail due to sandboxing and skip failing tell check.
+
+--- pyfakefs-3.4.3/pyfakefs/tests/fake_os_test.py
++++ pyfakefs-3.4.3/pyfakefs/tests/fake_os_test.py
+@@ -688,7 +688,6 @@
+ self.os.chdir(directory)
+ self.assert_raises_os_error(dir_error, self.os.remove, dir_path)
+ self.assertTrue(self.os.path.exists(dir_path))
+- self.assert_raises_os_error(errno.ENOENT, self.os.remove, '/plugh')
+
+ def test_remove_dir_linux(self):
+ self.check_linux_only()
+@@ -1202,6 +1201,8 @@
+ self.assertEqual(b'\0\0abcde', f.read())
+
+ def test_append_mode_tell_linux_windows(self):
++ # skipping real fs test - python2 on the actual filesystem is also 7
++ self.skip_real_fs()
+ # Regression test for #300
+ self.check_linux_and_windows()
+ tell_result = 5 if self.is_python2 else 7
+@@ -2443,8 +2444,8 @@
+ # trying to create a link from a non-existent file should fail
+ self.skip_if_symlink_not_supported()
+ self.assert_raises_os_error(errno.ENOENT,
+- self.os.link, '/nonexistent_source',
+- '/link_dest')
++ self.os.link, 'nonexistent_source',
++ 'link_dest')
+
+ def test_link_delete(self):
+ self.skip_if_symlink_not_supported()
+@@ -2791,7 +2792,6 @@
+ self.os.chdir(directory)
+ self.assert_raises_os_error(dir_error, self.os.remove, dir_path)
+ self.assertTrue(self.os.path.exists(dir_path))
+- self.assert_raises_os_error(errno.ENOENT, self.os.remove, '/Plugh')
+
+ def test_remove_dir_mac_os(self):
+ self.check_macos_only()
diff --git a/dev-python/pyfakefs/pyfakefs-3.4.3.ebuild b/dev-python/pyfakefs/pyfakefs-3.4.3.ebuild
new file mode 100644
index 00000000000..4c18bdf736f
--- /dev/null
+++ b/dev-python/pyfakefs/pyfakefs-3.4.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="a fake file system that mocks the Python file system modules"
+HOMEPAGE="https://github.com/jmcgeheeiv/pyfakefs/ https://pypi.org/project/pyfakefs/"
+SRC_URI="https://github.com/jmcgeheeiv/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+PATCHES=( "${FILESDIR}"/${P}-tests.patch )
+
+python_test() {
+ "${PYTHON}" -m ${PN}.tests.all_tests || die "tests failed under ${EPYTHON}"
+}
next reply other threads:[~2018-06-17 11:25 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-06-17 11:25 Tim Harder [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-07-12 22:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyfakefs/files/, dev-python/pyfakefs/ Michał Górny
2021-06-02 16:12 Michał Górny
2018-03-24 13:18 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1529234691.8eb09c83d6906084538403b8f72392799df784ac.radhermit@gentoo \
--to=radhermit@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox